libbison-dev_3.0.4.dfsg-1build1_amd64.deb


Advertisement

Description

libbison-dev - YACC-compatible parser generator - development library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package filename libbison-dev_3.0.4.dfsg-1build1_amd64.deb
Package name libbison-dev
Package version 3.0.4.dfsg
Package release 1build1
Package architecture amd64
Package type deb
Category libdevel
Homepage http://www.gnu.org/software/bison/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 330.72 KB
Installed size 349.00 KB
Bison is a general-purpose parser generator that converts a
grammar description for an LALR(1) context-free grammar into a C
program to parse that grammar.  Once you are proficient with Bison, you
may use it to develop a wide range of language parsers, from those used
in simple desk calculators to complex programming languages.
This package provides the liby.a file including functions needed by
yacc parsers.

Alternatives

Package Version Architecture Repository
libbison-dev_3.0.4.dfsg-1build1_i386.deb 3.0.4.dfsg i386 Ubuntu Main
libbison-dev - - -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libbison-dev_3.0.4.dfsg-1build1_amd64.deb
Source Package bison

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libbison-dev deb package:
    # sudo apt-get install libbison-dev

Files

Path
/usr/lib/x86_64-linux-gnu/liby.a
/usr/share/doc/libbison-dev/AUTHORS
/usr/share/doc/libbison-dev/ChangeLog-1998.gz
/usr/share/doc/libbison-dev/ChangeLog-2012.gz
/usr/share/doc/libbison-dev/NEWS.gz
/usr/share/doc/libbison-dev/README
/usr/share/doc/libbison-dev/THANKS.gz
/usr/share/doc/libbison-dev/TODO.gz
/usr/share/doc/libbison-dev/changelog.Debian.gz
/usr/share/doc/libbison-dev/copyright

Changelog

2017-04-12 - Steve Langasek <steve.langasek@ubuntu.com>
bison (2:3.0.4.dfsg-1build1) zesty; urgency=medium
* No-change rebuild to pick up -fPIE compiler default in static
libraries
2015-08-05 - Chuan-kai Lin <cklin@debian.org>
bison (2:3.0.4.dfsg-1) unstable; urgency=medium
* New upstream version. (Closes: #733942, #772653)
* Update Standards-Version to 3.9.6.0 (no change required).
* Adopt machine-readable format for debian/copyright.
* Use /bin/sh as interpreter in preinst. (Closes: #736237)
* Enable verbose build logs. Thanks to Helmut Grohne <helmut@subdivi.de>
for the patch. (Closes: #751342)
2013-12-16 - Chuan-kai Lin <cklin@debian.org>
bison (2:3.0.2.dfsg-2) unstable; urgency=low
* Fix parallel builds by inhibiting example code extraction in Makefiles
(Closes: #732034).
2013-12-09 - Chuan-kai Lin <cklin@debian.org>
bison (2:3.0.2.dfsg-1) unstable; urgency=low
* New upstream version (Closes: #729745).
* Update Standards-Version to 3.9.5.0 (no change required).
2013-05-16 - Chuan-kai Lin <cklin@debian.org>
bison (2:2.7.1.dfsg-1) unstable; urgency=low
* New upstream version (Closes: #694951, #701388).
* Update Standards-Version to 3.9.4.0 (no change required).
* Revise makeinfo inhibit in debian/rules.
2012-11-01 - Chuan-kai Lin <cklin@debian.org>
bison (2:2.5.dfsg-3) unstable; urgency=low
* Bump epoch to downgrade unstable version from 2.6.2.dfsg-1 back to
2.5.dfsg-3.  Incompatibility in 2.6.2 introduces FTBFS in unstable,
and we are in a freeze, hence this temporary workaround.  This version
is identical to 1:2.5.dfsg-2.1 except this changelog file and the new
version number (Closes: #691928).
2012-09-23 - Chuan-kai Lin <cklin@debian.org>
bison (1:2.6.2.dfsg-1) unstable; urgency=low
* New upstream version.
* Switch build system from CDBS to debhelper v9.
* Update Standards-Version to 3.9.3.0 (no change required).
* Add ChangeLog-1998 and ChangeLog-2012 to binary packages.
2011-11-25 - Raphaƫl Hertzog <hertzog@debian.org>
bison (1:2.5.dfsg-2.1) unstable; urgency=low
* Non-maintainer upload.
* Add "Conflicts: liby-dev (= 1:2.5.dfsg-1)" to libbison-dev to ensure
that this version that should never have existed gets dropped from
user's systems. Closes: #645038
2011-10-07 - Chuan-kai Lin <cklin@debian.org>
bison (1:2.5.dfsg-2) unstable; urgency=low
* Rename liby-dev to libbison-dev to avoid name conflict with Y sound
server library header files (closes: #644200)
2011-10-02 - Chuan-kai Lin <cklin@debian.org>
bison (1:2.5.dfsg-1) unstable; urgency=low
* New upstream release (closes: #631607, #643358)
* Update Standards-Version to 3.9.2.0
* Fixed all lintian warnings
* Convert package to 3.0 (quilt) format
* Move liby.a to the new liby-dev package for multiarch support.  Thanks
to Riku Voipio <riku.voipio@iki.fi> for patch (closes: #642081)

See Also

Package Description
libblas-dev_3.7.1-4ubuntu1_amd64.deb Basic Linear Algebra Subroutines 3, static library
libblas3_3.7.1-4ubuntu1_amd64.deb Basic Linear Algebra Reference implementations, shared library
libblkid-dev_2.31.1-0.4ubuntu3_amd64.deb block device ID library - headers and static libraries
libblkid1_2.31.1-0.4ubuntu3_amd64.deb block device ID library
libblockdev-crypto-dev_2.16-2_amd64.deb Crypto plugin for libblockdev - development
libblockdev-crypto2_2.16-2_amd64.deb Crypto plugin for libblockdev
libblockdev-dev_2.16-2_amd64.deb Library for manipulating block devices - development
libblockdev-dm-dev_2.16-2_amd64.deb Device Mapper plugin for libblockdev - development
libblockdev-dm2_2.16-2_amd64.deb Device Mapper plugin for libblockdev
libblockdev-fs-dev_2.16-2_amd64.deb file system plugin for libblockdev - development
libblockdev-fs2_2.16-2_amd64.deb file system plugin for libblockdev
libblockdev-loop-dev_2.16-2_amd64.deb Loop device plugin for libblockdev - development
libblockdev-loop2_2.16-2_amd64.deb Loop device plugin for libblockdev
libblockdev-lvm-dbus-dev_2.16-2_amd64.deb LVM DBus plugin for libblockdev - development
libblockdev-lvm-dbus2_2.16-2_amd64.deb LVM DBus plugin for libblockdev
Advertisement
Advertisement